
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --text-color: #93203b;
  --bg-color: #ffe7ec;
  --verde-neon: rgb(255, 126, 173);
}

body {
  font-family: monospace;
  background-color: white;
  color: var(--text-color);
}
header {
  z-index: 10;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1em;
  position: fixed;
  background-color: var(--verde-neon);
  inset: 0 0 auto 0;
}

header > .title {
  display: flex;
  align-items: center;
  gap: 1em;
  letter-spacing: -2px;
}

.text-xl {
  font-size: 2em;
}

header > nav > ul {
  list-style: none;
  display: flex;
  gap: 2em;
}

a {
  text-decoration: none;
  color: #d10535;
}

section#hero {
  min-height: 100vh;
  background-color: var(--bg-color);
  display: grid;
  place-content: center;
  padding: 100px 2em 2em 2em;
  text-align: center;
}

section#hero > h1 {
  margin-bottom: 1em;
}

.elementos {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 1em;
  width: 100%;
  max-width: 800px;
}

.elementos > div {
  background-color: var(--verde-neon);
  padding: 2em;
  height: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  border: 2px solid #93203b;
}

@media (max-width: 900px) {
  .elementos {
    grid-template-columns: 1fr 1fr;
  }
}

@media (max-width: 600px) {
  .elementos {
    grid-template-columns: 1fr;
  }
  .text-xl {
    font-size: 1.5em;
  }
}

footer {
  background-color: var(--verde-neon);
  padding: 2em;
  display: grid;
  place-items: center;
}